Datamart Device Id Registry Selections
Operations related to Datamart Device ID Registry Selections for querying and managing device identifier collections.
Id of device id registry to search
User who created the device id registry selection
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/device_id_registries HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"data": [
{
"created_by": "text",
"last_modified_ts": 0,
"creation_ts": 0,
"datamart_id": "text",
"id": "text",
"triggers_device_point_merge": false,
"device_id_registry_id": "text",
"last_modified_by": "text"
}
],
"first_result": 1,
"count": 1,
"status": "ok",
"max_results": 1,
"total": 1
}00falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/device_id_registries HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"datamart_id": "text",
"triggers_device_point_merge": false,
"device_id_registry_id": "text"
}{
"status": "ok",
"data": {
"created_by": "text",
"last_modified_ts": 0,
"creation_ts": 0,
"datamart_id": "text",
"id": "text",
"triggers_device_point_merge": false,
"device_id_registry_id": "text",
"last_modified_by": "text"
}
}Search device id registry datamart selections
Id of organisation to search
Id of datamart to search
User who created the device id registry selection
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/device_id_registries/{device_id_registry_id}/datamart_selections HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"total": 1,
"max_results": 1,
"first_result": 1,
"data": [
{
"created_by": "text",
"last_modified_ts": 0,
"creation_ts": 0,
"datamart_id": "text",
"id": "text",
"triggers_device_point_merge": false,
"device_id_registry_id": "text",
"last_modified_by": "text"
}
],
"count": 1
}Update device id registry datamart selections
Id of the organisation of the registry datamart selections
Success response
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/device_id_registries/{device_id_registry_id}/datamart_selections HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 84
{
"datamart_selections": [
{
"datamart_id": "text",
"triggers_device_point_merge": false
}
]
}{
"status": "ok"
}The device id registry selection id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/device_id_registries/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"created_by": "text",
"last_modified_ts": 0,
"creation_ts": 0,
"datamart_id": "text",
"id": "text",
"triggers_device_point_merge": false,
"device_id_registry_id": "text",
"last_modified_by": "text"
}
}The device id registry selection id
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/device_id_registries/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Last updated
Was this helpful?